Subject: [os2genau_digest] No. 443
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 6 Sep 2002 00:01:04 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 05 September 2002
 Number  443
**************************************************

Subjects for today
 
1  [os2genau] _digest] Parallel ports : Tony Wilson" <redhill at redhill dot net dot au>
2  Re: [os2genau] _digest] Parallel ports : Daryl Pilkington" <u3232 at home.dialix dot com>
3  Re: [os2genau] fat32.IFS : Kev Downes <kdownes at iinet dot net dot au>
4  Re: [os2genau] ot: win fat32, windoze locks when drive object clicked : Kev Downes <kdownes at iinet dot net dot au>
5  Re: [os2genau] ECP parallel ports : Kev Downes <kdownes at iinet dot net dot au>
6  Re: [os2genau] fat32.IFS : Kris Steenhaut <kris.steenhaut at hccnet.nl>
7  Re: [os2genau] fat32.IFS : Paul Smedley" <paul at smedley.info>

**= Email   1 ==========================**

Date:  Thu, 05 Sep 2002 00:34:58 +1000
From:  "Tony Wilson" <redhill at redhill dot net dot au>
Subject:  [os2genau] _digest] Parallel ports

I've not tried a second parallel port under OS/2 for some years, back before ECP and EPP were issues, in fact. But I can offer 
some general advice on adding a second port.

1: PCI LPT ports are a can of worms. If it's at all possible, avoid them. They usually ship with Win32 support only advertised 
on the box, and even under Windows they don't work very well. They don't work at all under DOS. (At least the three or four 
different brands I've tried don't.) OS/2 and 'nix support is probably also lacking. They will quite often run a plain vanilla device 
OK, but don't even bother trying them with anything fancy. (By "fancy" I mean anything that plays fast and loose with the 
standards: GDI printers, most recent HP devices, ATAPI devices, and so on.) And when I say "quite often work" I mean just 
that: the implied corrolorary, that they *don't* work much of the time is unfortunately true. Bottom line: only if you are really, 
really desperate.

2: ISA LPT ports tend to work quite well. They can be tricky to set up and jumper correctly, but once installed they usually 
are fuss-free. If you are not sure of the correct jumper settings (they are usually non-plug and play and the documentation 
tends to be scanty at best) the easiest way is as follows:

A: Disable your mainboard LPT port in the BIOS. Reboot as far as the BIOS sign-on screen to confirm that the listing is 
"Parallel Ports: (empty)" - not "278" or "378" or whatever. 

B: Install the add-on card. Reboot and note what port it is using. (Or ports, if it is a dual port device.) 

C: Go back into BIOS and set your mainboard port to be whatever port the add-in card is NOT using. (LPT1, 2 or 3.) If unsure 
of which port is which, don't worry about it too much, just so long as they are different. Quite often, if your BIOS is being nice 
to you, the "auto" setting will sort this for you.

D: Under Windows 9X, do an "add new hardware". It won't pick the new ports up itself, but will find them when you tell it to go 
looking. Under DOS, OS/2 or Win NT, simply use LPT2 or LPT3. No other steps are required.

From memory, the port number and resource translations are: LPT1: 278 & IRQ7. LPT2: 378 & IRQ5. LPT3: 3BC & IRQ 7 
(though the IRQ for LPT 3 and 4 seems to be quite flexible: some cards appear to be able to assign all sorts of odd IRQs to 
them). But you probably won't need to know that stuff.

Tony

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 05 Sep 2002 06:42:04 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re: [os2genau] _digest] Parallel ports

Hi Tony,
GDI, HP printers & ATAPI devices all use ECP parallel port mode.
Sounds like from your observations the 2nd port isn't running in ECP
mode.

The MSI Athlon mobo I'm using has no ISA slots, so an ISA solution
isn't possible.
ISA mobos are almost obsolete. I agree, ISA cards with definable
resources work well.

On Thu, 05 Sep 2002 00:34:58 +1000, Tony Wilson wrote:

>I've not tried a second parallel port under OS/2 for some years, back before ECP and EPP were issues, in fact. But I can offer 
>some general advice on adding a second port.
>
>1: PCI LPT ports are a can of worms. If it's at all possible, avoid them. They usually ship with Win32 support only advertised 
>on the box, and even under Windows they don't work very well. They don't work at all under DOS. (At least the three or four 
>different brands I've tried don't.) OS/2 and 'nix support is probably also lacking. They will quite often run a plain vanilla device 
>OK, but don't even bother trying them with anything fancy. (By "fancy" I mean anything that plays fast and loose with the 
>standards: GDI printers, most recent HP devices, ATAPI devices, and so on.) And when I say "quite often work" I mean just 
>that: the implied corrolorary, that they *don't* work much of the time is unfortunately true. Bottom line: only if you are really, 
>really desperate.
>
>2: ISA LPT ports tend to work quite well.
>
SNIP
>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 05 Sep 2002 13:30:09 +0900
From:  Kev Downes <kdownes at iinet dot net dot au>
Subject:  Re: [os2genau] fat32.IFS

In <20020831225133-36583-7 at sbt dot net dot au>, on 08/31/2002 
   at 10:48 PM, Voytek at sbt dot net dot au said:

>I came across a Hank Kelder's sp? IFS FAT32, is that good ? bad ? works
>? any other ways to mount fat32 from OS/2 ?

I've used Henk's FAT32.IFS for a couple of years now and haven't yet had
a glitch of any sort.  I use it for read and write and have had so much
success and stability that I don't take any special precautions any more.

Cheers
Kev Downes
=========================
Kev Downes <kdownes at iinet dot net dot au>
Windows is not the answer. Windows is the question. The answer is NO!  
We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
and he who does not know him, knows nothing of the order of the world and
nothing of himself."             Blaise Pascal
=========================

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 05 Sep 2002 13:34:33 +0900
From:  Kev Downes <kdownes at iinet dot net dot au>
Subject:  Re: [os2genau] ot: win fat32, windoze locks when drive object clicked

In <3B91DDC2.E0517ACF at bigpond dot net dot au>, on 09/02/2001 
   at 05:20 PM, Ed Durrant <edurrant at bigpond dot net dot au> said:

>Well Voytek,

>  You've had more success with combining LVM and Windows than I did !

>  I tried to install Win98 onto a spare 1GB LVM partition starting
>straight after the boot manager. It totally screwed LVM. I had expected
>to have to de-install and re-install boot manager but the Win98 install
>so corrupted the partition table, that I could even remove and recreate
>partitions. Luckily I was able to zip the partitions up onto another
>drive and the key to fixing the problem, believe it or not was to use
>FDISK on a Warp 3 boot diskette. it seems the old FDISK is much more
>brutal in its actions that LVM is (or FDISK under DOS or Windoze). I've
>had to use these Warp 3 boot diskettes before to fix otherwise unusable
>drives that have only ever had windoze on them. Once all partitions were
>deleted from Warp 3, LVM behaved itself again I was able to re-partition
>the drive, install Win98 and then re-install boot manager.

>I'm in the process of restoring the OS/2 partitions at the moment. Once
>I had simply unzipped the C: drive I was able to boot and start things
>such as e-mail as I restored the various drives.

>The reason for installing Win98 in the first place was to see if
>starting this Soltek motherboard under Windoze would enable the on-board
>USB ports and it did. I now have all four VIA USB ports working under
>OS/2. Previously only the off-board ports worked.

>My Win98 partition is working fine, including My Computer etc. But I
>have it installed now as a Primary (hidden from OS/2) C: drive

            *****************************************************

>partition, whereas it was a logical partition previously. Your partition
>is a primary also, so it ought to be OK.

            *****************************************************

This is where something went wrong at least.  You can't install Win9x to
anything but the first primary partition on the first physical disk

>What version of Win98 are you using ? I use Win98 SE, which has several
>fixes and additions over the basic WIN98.

>Apart from that I don't know why you would have this strange effect. i'd
>probably suggest format and re-install on FAT (I think you're only
>forced to FAT32 when you go over 2GB).

>I believe Henk Kelders FAT32 IFS is the only way to read FAT32 drives. I
>think it supports write as well however I don't think there's been much
>development on it lately. I used to use it on a previous dual-boot
>system.

>Cheers/2

>Ed.

>Voytek at sbt dot net dot au wrote:

>> I'm setting up a multi boot HD;
>> everything is going fine, except, after I install Win98 on C: PRI, it starts OK, and, all is
>> fine, BUT, I can not click open drive objects, win locks up.
>>
>> I can get drive notebook, run defrag/scandisk, all OK
>>
>> BUT, trying to open drive, locks
>>
>> DOS window can traverse drive, dirs, etc
>> control panel runs OK
>>
>> any thoughts ?
>>
>> drive paritioned with CP2 LVM;
>>
>> BM:
>> C: 2GB FAT32 Win98 SE
>> D: 4.5GB FAT32
>> E: 2GB HPFS W4.52
>> F: 4GB JFS
>> G: 1.5GB JFS
>> H/i/j; ext3/ext3/swap
>>
>> mounting FAT32 from OS/2:
>>
>> I came across a Hank Kelder's sp? IFS FAT32, is that good ? bad ? works ? any other ways to
>> mount fat32 from OS/2 ?
>>
>> Voytek
>
>>  
>

> 

=========================
Kev Downes <kdownes at iinet dot net dot au>
Windows is not the answer. Windows is the question. The answer is NO!  
We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
and he who does not know him, knows nothing of the order of the world and
nothing of himself."             Blaise Pascal
=========================

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 05 Sep 2002 13:40:30 +0900
From:  Kev Downes <kdownes at iinet dot net dot au>
Subject:  Re: [os2genau] ECP parallel ports

In <3D75FB04.8E6EC33D at hccnet.nl>, on 09/04/2002 
   at 02:22 PM, Kris Steenhaut <kris.steenhaut at hccnet.nl> said:

>As I told, as it is PCI you shouldn't have to bother about irq/dma, bios
>says the pci card is "a simple com device" or something like that.

I have LPT's 1, 2 and 3 all installed and running fine.  All I did was
set the card, plug it in and away I go.  All works fine and all are
bi-directional.

>About bi-directional communication, I'm not quite sure, but I think
>these latest print01.sys are, and if you can use the function depends
>really on the quality of the driver. In early days, my HP 970 Cxi only
>worked unidirectional, but with the latest omni I can use the duplex
>thing, cleaning and adjust heads etc...  So I presume bi-directional
>communication is there all right.

>Incidentally, the par1284* file is already somewhere on the Warp4 GA CD,
>so it's an old horse really.

>>
>> I'm looking at Hardware Manager & whilst my lpt port is using an IRQ,
>>

>Is it? You mean, you've forced it like that by the /irq switch in the
>config?

>> it isn't using  DMA 3 or 0778-077B address used for an ECP port.
>>

>The pci add-on parallel card doesn't cost that much of money, does it?
>So, I suggest you'll give it a try. Only, don't forget to omit the /irq
>switch in the config (imho the /irq witch only is useful if you are on a
>80-486 or something like that).

>--
>Groeten uit Gent,

>   Kris

> 

=========================
Kev Downes <kdownes at iinet dot net dot au>
Windows is not the answer. Windows is the question. The answer is NO!  
We use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
and he who does not know him, knows nothing of the order of the world and
nothing of himself."             Blaise Pascal
=========================

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 05 Sep 2002 10:13:09 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re: [os2genau] fat32.IFS

Kev Downes schreef:

> In <20020831225133-36583-7 at sbt dot net dot au>, on 08/31/2002
>    at 10:48 PM, Voytek at sbt dot net dot au said:
>
> >I came across a Hank Kelder's sp? IFS FAT32, is that good ? bad ? works
> >? any other ways to mount fat32 from OS/2 ?
>
> I've used Henk's FAT32.IFS for a couple of years now and haven't yet had
> a glitch of any sort.

I do have a problem since a couple of months. Systems crashes immediately after an
attempt to copy to or copy from a 60 Giga IDE disks.
I have no clue what the cause could be. Just wonder if the driver is able to handle a
60 Giga disk. Incidentally, the problem still is there with the newer driver at
os2 dot org, you know, the one without docs nor readme.

--
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 05 Sep 2002 19:37:10 -0400 (EDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re: [os2genau] fat32.IFS

AFAIK the FAT32 driver is limited to 32gig partition size - not aware of any disk size 
issues...

Regards,

Paul.

On Thu, 05 Sep 2002 10:13:09 +0200, Kris Steenhaut wrote:

>
>
>Kev Downes schreef:
>
>> In <20020831225133-36583-7 at sbt dot net dot au>, on 08/31/2002
>>    at 10:48 PM, Voytek at sbt dot net dot au said:
>>
>> >I came across a Hank Kelder's sp? IFS FAT32, is that good ? bad ? works
>> >? any other ways to mount fat32 from OS/2 ?
>>
>> I've used Henk's FAT32.IFS for a couple of years now and haven't yet had
>> a glitch of any sort.
>
>I do have a problem since a couple of months. Systems crashes immediately after an
>attempt to copy to or copy from a 60 Giga IDE disks.
>I have no clue what the cause could be. Just wonder if the driver is able to handle a
>60 Giga disk. Incidentally, the problem still is there with the newer driver at
>os2 dot org, you know, the one without docs nor readme.
>
>
>
>--
>Groeten uit Gent,
>
>   Kris
>
>

> 

>

----------------------------------------------------------------------------------